=== debian/changelog ===
libjson-rpc-cpp (0.7.0-2.2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:08:23 +0000

libjson-rpc-cpp (0.7.0-2.2build1) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:31:09 +0000

libjson-rpc-cpp (0.7.0-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062386

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 13:29:30 +0000

libjson-rpc-cpp (0.7.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/: Apply wrap-and-sort -abst.
  * debian/control: Bump Standards-Version to 4.6.1.
  * Migrate to automatic dbgsym packages.
  * d/control: Fix Vcs-* and use Priority: optional.
  * d/changelog: Remove trailing spaces.
  * d/watch: Fix uscan upstream monitoring script.

 -- Boyuan Yang <byang@debian.org>  Sat, 08 Oct 2022 21:33:02 -0400

libjson-rpc-cpp (0.7.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with libmicrohttpd 0.9.71 (Closes: #964592)
  * debian/control: Requires libmicrohttpd-dev (>= 0.9.71)

 -- Baptiste Beauplat <lyknode@cilg.org>  Thu, 08 Oct 2020 22:45:52 +0200

libjson-rpc-cpp (0.7.0-1) unstable; urgency=medium

  * Imported Upstream version 0.7.0
  * d/patches: removed all upstream applied patches
  * d/patches: import upstream patch fixing spelling errors
  * d/control: use secure uri in vcs fields
  * d/control: bump Standards-Version: no changes required
  * d/control: added missing -dev package dependencies
  * d/*-dev.install: grab pkgconfig files

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Tue, 16 Aug 2016 10:20:11 +0200
